Jump to content
funtoo forums
ainsley31415926

x11-drivers/nvidia-drivers-355.11-r2 wont compile

Recommended Posts

 x11-drivers/nvidia-drivers-355.11-r2 wont compile with kernel linux-4.3.0-gentoo

 

/var/tmp/portage/x11-drivers/nvidia-drivers-355.11-r2/work/kernel/nvidia/nv-procfs.c: In function ?nv_procfs_read_registry?:
 

/var/tmp/portage/x11-drivers/nvidia-drivers-355.11-r2/work/kernel/nvidia/nv-procfs.c:363:5: error: void value not ignored as it ought to be
     return seq_printf(s, "Binary: \"%s\"\n", registry_keys);

 

 

Share this post


Link to post
Share on other sites

 x11-drivers/nvidia-drivers-355.11-r2 says kernel-4.3 or greater are not supported yet.
Gentoo supports kernels which are supported by NVIDIA"
"which are limited to the following kernels:"
"<sys-kernel/gentoo-sources-4.3"
"<sys-kernel/vanilla-sources-4.3"

 

Try epatch_user with this patch: https://devtalk.nvidia.com/default/topic/877365/linux/355-11-linux-4-3-rc1-build-error/

Share this post


Link to post
Share on other sites

Unmask 358.16-r1 and you won't have an issue.  They maybe beta but its better than using that fix I personally think.

 

Just add

=x11-drivers/nvidia-drivers-358.16-r1

to your /etc/portage/package.unmask file and emerge it.

 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×